BimpHelp

Customer payments: Bimp API methods

Bimp API methods for the “Customer payments” resource (/org2/customerPayment/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/customerPayment/api-readListA request to view a list of customer payments
POST /org2/customerPayment/api-readA request to obtain detailed information for a particular customer payment document
POST /org2/customerPayment/api-readStatusesA request to retrieve the available statuses for a customer payment document
POST /org2/customerPayment/api-createA request to create a new customer payment document
POST /org2/customerPayment/api-updateRoute to update the document ‘payment from the buyer’
POST /org2/customerPayment/api-cancelCancel a customer payment document

api-readList

POST /org2/customerPayment/api-readList

A request to view a list of customer payments

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
ordersstring (uuid)[]Filter by order UUIDs (Invoice for customer payment)

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for a customer payment document
[].numberstringThe number of the customer payment document
[].currencystring (uuid)A unique uuid key for a currency
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].namestring
[].counterpartystring (uuid)A unique uuid key for a counterparty
[].authorstring (uuid)A unique uuid key for a document author
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].statusstring (uuid)
[].documentSumnumberTotal amount of the document
[].orderstring (uuid)A unique uuid key for the related order (Invoice for customer payment)
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/customerPayment/api-read

A request to obtain detailed information for a particular customer payment document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Customer payment document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a customer payment document
numberstringThe number of the customer payment document
currencystring (uuid)A unique uuid key for a currency
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
namestring
counterpartystring (uuid)A unique uuid key for a counterparty
authorstring (uuid)A unique uuid key for a document author
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
statusstring (uuid)
documentSumnumberTotal amount of the document
orderstring (uuid)A unique uuid key for the related order (Invoice for customer payment)
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
responsiblestring (uuid) | null
commissionnumberThe amount of the commission
sumnumberThe amount of the document
remaindernumberAggregate Balance
exchangeRateDifferencenumberAmount of Foreign Exchange Difference
paymentDetailsobject[]
paymentDetails[].contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
paymentDetails[].invoiceForCustomerpaymentstring (uuid)A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].currencystring (uuid)A unique uuid key for a currency
paymentDetails[].calculationRatenumberCross Course
paymentDetails[].payednumberPayment amount
paymentDetails[].payedInContractCurrencynumberSettlement amount in contract currency
paymentDetails[].debtnumberThe current debt
paymentDetails[].exchangeRateDifferencenumberAmount of Foreign Exchange Difference
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readStatuses

POST /org2/customerPayment/api-readStatuses

A request to retrieve the available statuses for a customer payment document

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
namestringFilter by name

Response: data field

FieldTypeDescription
[].namestring
[].uuidstring (uuid)
[].codestring
[].activeboolean
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readStatuses' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/customerPayment/api-create

A request to create a new customer payment document

Request body (JSON)

FieldTypeRequiredDescription
counterpartystring (uuid)yesA unique uuid key for a counterparty
currencystring (uuid)yesA unique uuid key for a currency
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe number of the customer payment document
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid) | null
authorstring (uuid)A unique uuid key for a document author
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
statusstring (uuid)
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
commissionnumberThe amount of the commission
paymentDetailsobject[]
paymentDetails[].invoiceForCustomerpaymentstring (uuid)yesA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].payednumberyesPayment amount
paymentDetails[].calculationRatenumberCross Course

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/customerPayment/api-update

Route to update the document ‘payment from the buyer’

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a customer payment document
numberstringThe number of the customer payment document
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid) | null
authorstring (uuid)A unique uuid key for a document author
statusstring (uuid)
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
commissionnumberThe amount of the commission
currencystring (uuid)A unique uuid key for a currency
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
paymentDetailsobject[]
paymentDetails[].invoiceForCustomerpaymentstring (uuid)yesA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].payednumberyesPayment amount
paymentDetails[].calculationRatenumberCross Course

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/customerPayment/api-cancel

Cancel a customer payment document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique identifier for the Customer Payment, obtainable from the /customerPayment/api-readList request

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.